package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

@TableName("RS_WB_BJ_SUB")
public class RsWbBjSub {

    @ApiModelProperty(value = "办件申请信息子表流水号")
    @TableId(value = "RS_WB_BJ_SUB_LSH", type = IdType.ASSIGN_UUID)
    private String rsWbBjSubLsh;

    @ApiModelProperty(value = "办件流水号")
    @TableId(value = "RS_WB_BJ_LSH")
    private String rsWbBjLsh;

    @ApiModelProperty(value = "用户ID")
    @TableField("YHID")
    private String yhid;

    @ApiModelProperty(value = "受理流水号")
    @TableField("SLLSH")
    private String sllsh;

    @ApiModelProperty(value = "受理编号")
    @TableField("SLBH")
    private String slbh;

    @ApiModelProperty(value = "主体ID")
    @TableField("ZTID")
    private String ztid;

    @ApiModelProperty(value = "主体类别")
    @TableField("ZTLB")
    private String ztlb;

    @ApiModelProperty(value = "主体名称")
    @TableField("ZTMC")
    private String ztmc;

    @ApiModelProperty(value = "申办事项")
    @TableField("SBSX")
    private String sbsx;

    @ApiModelProperty(value = "申办人姓名")
    @TableField("SBRXM")
    private String sbrxm;

    @ApiModelProperty(value = "申办人手机")
    @TableField("SBRSJ")
    private String sbrsj;

    @ApiModelProperty(value = "申办摘要")
    @TableField("SBZY")
    private String sbzy;

    @ApiModelProperty(value = "申请时间")
    @TableField("SQSJ")
    private String sqsj;

    @ApiModelProperty(value = "申请状态")
    @TableField("SQZT")
    private String sqzt;

    @ApiModelProperty(value = "审核意见")
    @TableField("SHYJ")
    private String shyj;

    @ApiModelProperty(value = "结果领取方式")
    @TableField("JGLQFS")
    private String jglqfs;

    @ApiModelProperty(value = "收件人姓名")
    @TableField("SJRXM")
    private String sjrxm;

    @ApiModelProperty(value = "收件人手机")
    @TableField("SJRSJ")
    private String sjrsj;

    @ApiModelProperty(value = "收件地址")
    @TableField("SJRDZ")
    private String sjrdz;

    @ApiModelProperty(value = "邮政编码")
    @TableField("YZBM")
    private String yzbm;

    @ApiModelProperty(value = "服务对象")
    @TableField("FWDX")
    private String fwdx;

    @ApiModelProperty(value = "数据来源")
    @TableField("SJLY")
    private String sjly;

    @ApiModelProperty(value = "有效标志")
    @TableField("TS_YXBZ")
    private String tsYxbz;

    @ApiModelProperty(value = "创建人")
    @TableField("CJR")
    private String cjr;

    @ApiModelProperty(value = "创建时间")
    @TableField("CJSJ")
    private String cjsj;

    @ApiModelProperty(value = "最近修改人")
    @TableField("ZHXGR")
    private String zhxgr;

    @ApiModelProperty(value = "最近修改时间")
    @TableField("ZHXGSJ")
    private String zhxgsj;

    @ApiModelProperty(value = "收件人所在省")
    @TableField("tcustProvince")
    private String tcustProvince;

    @ApiModelProperty(value = "收件人所在市")
    @TableField("tcustCity")
    private String tcustCity;

    @ApiModelProperty(value = "收件人所在区")
    @TableField("tcustCounty")
    private String tcustCounty;

    @ApiModelProperty(value = "调档单位名称")
    @TableField( exist = false)
    private String dddwmc;

    @ApiModelProperty(value = "档案转出流水号")
    @TableField( exist = false)
    private String rsfwgldazclsh;

    @ApiModelProperty(value = "党员材料转出流水号")
    @TableField( exist = false)
    private String rsfwgldyclzdlsh;

    @ApiModelProperty(value = "业务表ID")
    @TableField( exist = false)
    private String ywid;

    @ApiModelProperty(value = "省：中文")
    @TableField( exist = false)
    private String tcustProvincename;

    @ApiModelProperty(value = "市：中文")
    @TableField( exist = false)
    private String tcustCityname;

    @ApiModelProperty(value = "区县：中文")
    @TableField( exist = false)
    private String tcustCountyname;


    public String getTcustProvince() {
        return tcustProvince;
    }

    public void setTcustProvince(String tcustProvince) {
        this.tcustProvince = tcustProvince;
    }

    public String getTcustCity() {
        return tcustCity;
    }

    public void setTcustCity(String tcustCity) {
        this.tcustCity = tcustCity;
    }

    public String getTcustCounty() {
        return tcustCounty;
    }

    public void setTcustCounty(String tcustCounty) {
        this.tcustCounty = tcustCounty;
    }

    public String getRsWbBjLsh() {
        return rsWbBjLsh;
    }

    public void setRsWbBjLsh(String rsWbBjLsh) {
        this.rsWbBjLsh = rsWbBjLsh;
    }

    public String getYhid() {
        return yhid;
    }

    public void setYhid(String yhid) {
        this.yhid = yhid;
    }

    public String getSllsh() {
        return sllsh;
    }

    public void setSllsh(String sllsh) {
        this.sllsh = sllsh;
    }

    public String getZtid() {
        return ztid;
    }

    public void setZtid(String ztid) {
        this.ztid = ztid;
    }

    public String getZtlb() {
        return ztlb;
    }

    public void setZtlb(String ztlb) {
        this.ztlb = ztlb;
    }

    public String getZtmc() {
        return ztmc;
    }

    public void setZtmc(String ztmc) {
        this.ztmc = ztmc;
    }

    public String getSbsx() {
        return sbsx;
    }

    public void setSbsx(String sbsx) {
        this.sbsx = sbsx;
    }

    public String getSbrxm() {
        return sbrxm;
    }

    public void setSbrxm(String sbrxm) {
        this.sbrxm = sbrxm;
    }

    public String getSbrsj() {
        return sbrsj;
    }

    public void setSbrsj(String sbrsj) {
        this.sbrsj = sbrsj;
    }

    public String getSbzy() {
        return sbzy;
    }

    public void setSbzy(String sbzy) {
        this.sbzy = sbzy;
    }

    public String getSqsj() {
        return sqsj;
    }

    public void setSqsj(String sqsj) {
        this.sqsj = sqsj;
    }

    public String getSqzt() {
        return sqzt;
    }

    public void setSqzt(String sqzt) {
        this.sqzt = sqzt;
    }

    public String getShyj() {
        return shyj;
    }

    public void setShyj(String shyj) {
        this.shyj = shyj;
    }

    public String getJglqfs() {
        return jglqfs;
    }

    public void setJglqfs(String jglqfs) {
        this.jglqfs = jglqfs;
    }

    public String getSjrxm() {
        return sjrxm;
    }

    public void setSjrxm(String sjrxm) {
        this.sjrxm = sjrxm;
    }

    public String getSjrsj() {
        return sjrsj;
    }

    public void setSjrsj(String sjrsj) {
        this.sjrsj = sjrsj;
    }

    public String getSjrdz() {
        return sjrdz;
    }

    public void setSjrdz(String sjrdz) {
        this.sjrdz = sjrdz;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm;
    }

    public String getFwdx() {
        return fwdx;
    }

    public void setFwdx(String fwdx) {
        this.fwdx = fwdx;
    }

    public String getSjly() {
        return sjly;
    }

    public void setSjly(String sjly) {
        this.sjly = sjly;
    }

    public String getTsYxbz() {
        return tsYxbz;
    }

    public void setTsYxbz(String tsYxbz) {
        this.tsYxbz = tsYxbz;
    }

    public String getCjr() {
        return cjr;
    }

    public void setCjr(String cjr) {
        this.cjr = cjr;
    }

    public String getCjsj() {
        return cjsj;
    }

    public void setCjsj(String cjsj) {
        this.cjsj = cjsj;
    }

    public String getZhxgr() {
        return zhxgr;
    }

    public void setZhxgr(String zhxgr) {
        this.zhxgr = zhxgr;
    }

    public String getZhxgsj() {
        return zhxgsj;
    }

    public void setZhxgsj(String zhxgsj) {
        this.zhxgsj = zhxgsj;
    }

    public String getRsWbBjSubLsh() {
        return rsWbBjSubLsh;
    }

    public void setRsWbBjSubLsh(String rsWbBjSubLsh) {
        this.rsWbBjSubLsh = rsWbBjSubLsh;
    }

    public String getSlbh() {
        return slbh;
    }

    public void setSlbh(String slbh) {
        this.slbh = slbh;
    }

    public String getDddwmc() {
        return dddwmc;
    }

    public void setDddwmc(String dddwmc) {
        this.dddwmc = dddwmc;
    }

    public String getRsfwgldazclsh() {
        return rsfwgldazclsh;
    }

    public void setRsfwgldazclsh(String rsfwgldazclsh) {
        this.rsfwgldazclsh = rsfwgldazclsh;
    }

    public String getRsfwgldyclzdlsh() {
        return rsfwgldyclzdlsh;
    }

    public void setRsfwgldyclzdlsh(String rsfwgldyclzdlsh) {
        this.rsfwgldyclzdlsh = rsfwgldyclzdlsh;
    }

    public String getYwid() {
        return ywid;
    }

    public void setYwid(String ywid) {
        this.ywid = ywid;
    }

    public String getTcustProvincename() {
        return tcustProvincename;
    }

    public void setTcustProvincename(String tcustProvincename) {
        this.tcustProvincename = tcustProvincename;
    }

    public String getTcustCityname() {
        return tcustCityname;
    }

    public void setTcustCityname(String tcustCityname) {
        this.tcustCityname = tcustCityname;
    }

    public String getTcustCountyname() {
        return tcustCountyname;
    }

    public void setTcustCountyname(String tcustCountyname) {
        this.tcustCountyname = tcustCountyname;
    }
}
